#! /usr/bin/perl
# 
# $Id: autogen.pl,v 1.3 2004/05/23 15:20:54 short Exp $
# Run to generate the initial Makefiles etc. after CVS checkout.
# Copyright (C) 2004 Jan Kratochvil <project-udpgate@jankratochvil.net>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; exactly version 2 of June 1991 is required
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


require 5.6.0;	# at least 'use warnings;' but we need some 5.6.0+ modules anyway
use vars qw($VERSION);
$VERSION=do { my @r=(q$Revision: 1.3 $=~/\d+/g); sprintf "%d.".("%03d"x$#r),@r; };
use strict;
use warnings;

use lib "./macros/";
use AutoGen;

use Carp qw(cluck confess);


AutoGen->run(
		"name"=>"udpgate",
		"COPYRIGHT_HOLDER"=>'Jan Kratochvil <project-udpgate@jankratochvil.net>',
		"ARGV"=>\@ARGV,
		"clean"=>[qw(
				*.pod.pl *.pod *.[0-9]
				./ChangeLog.bak
				./debian/changelog
				./init.d/udpgate
				./src/udpgate
				./src/bundle.c
				./src/ui-gnome-callbacks.[ch]
				./src/ui-gnome-interface.[ch]
				./src/ui-gnome-support.[ch]
				./src/ui-gnome.glade.bak
				./src/ui-gnome.gladep.bak
				)],
		);
