/* $Id: bundle-util.h,v 1.4 2005/07/07 04:45:06 short Exp $
 * Include file for UDP Gateway single-file bundle utility functions
 * Copyright (C) 2004 Jan Kratochvil <project-udpgate@jankratochvil.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; exactly version 2 of June 1991 is required
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _UDPGATE_BUNDLE_UTIL_H
#define _UDPGATE_BUNDLE_UTIL_H 1


#include <glib/gtypes.h>


G_BEGIN_DECLS

enum bundle_util_flags {
	BUNDLE_UTIL_BACKUP_BIT,
#define BUNDLE_UTIL_BACKUP_MASK    (1<<BUNDLE_UTIL_BACKUP_BIT)
	BUNDLE_UTIL_MKDIRS_BIT,
#define BUNDLE_UTIL_MKDIRS_MASK    (1<<BUNDLE_UTIL_MKDIRS_BIT)
	BUNDLE_UTIL_TEMPORARY_BIT,
#define BUNDLE_UTIL_TEMPORARY_MASK (1<<BUNDLE_UTIL_TEMPORARY_BIT)
	};

void bundle_util_file_insert(const void *data,gsize data_length,const gchar *basename);
gboolean bundle_util_file_remove(const gchar *pathname,const gchar *basename);
gboolean bundle_util_file_write(const gchar *pathname,const gchar *basename,mode_t pathname_mode,
		enum bundle_util_flags flags);

G_END_DECLS


#endif /* _UDPGATE_BUNDLE_UTIL_H */
