/* $Id: network.h,v 1.7 2004/06/05 19:52:42 short Exp $
 * Include file for the core network functionality of UDPGate
 * Copyright (C) 2004 Jan Kratochvil <project-udpgate@jankratochvil.net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; exactly version 2 of June 1991 is required
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _UDPGATE_NETWORK_H
#define _UDPGATE_NETWORK_H 1


#include <glib/gtypes.h>
#include <sys/types.h>
#include <unistd.h>


G_BEGIN_DECLS

pid_t is_daemon_running(void);
gboolean network_start(gint port);
gboolean optarg_port_set_string(const gchar *string);
gboolean network_stop(void);
extern void (*network_notify_hostip)(guint32 hostip_guint32);
gboolean network_detach(void);
extern guint probe_timeout_sec_max;

G_END_DECLS


#endif /* _UDPGATE_NETWORK_H */
